﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=9.3
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	
	Public oSQL As SQL
	
End Sub

Sub Service_Create
	'This is the program entry point.
	'This is a good place to load resources that are not specific to a single activity.

	'File.Delete(File.DirInternal,  "data.db")
	'Return

	If Not(File.Exists(File.DirInternal,  "data.db")) Then
		File.Copy(File.DirAssets, "data.db", File.DirInternal, "data.db")
		Log("No Database ...   Copying file from assets !")
	End If
		
	'initialize the database ... do not create new
	oSQL.Initialize (File.DirInternal,"data.db",False)
	
	'To Completely Delete a Table contained within a database ...
	'oSQL.ExecNonQuery("DROP TABLE IF EXISTS Locations")
	'Return
	
	'oSQL.ExecNonQuery("CREATE TABLE Locations (ID INTEGER PRIMARY KEY, Country TEXT, City1 TEXT, City2 TEXT, City3 TEXT, City4 TEXT, City5 TEXT, City6 TEXT, City7 TEXT, City8)")
		
End Sub

Sub Service_Start (StartingIntent As Intent)
	Service.StopAutomaticForeground 'Starter service can start in the foreground state in some edge cases.
End Sub

Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy

End Sub
